#include<bits/stdc++.h>
using namespace std;
int N,a,b;
int main(){
cin>>N>>a>>b;
if (a>b){

   cout<<N<<endl;
   cout<<a<<" "<<b<<endl;
}
   else{

    cout<<N<<endl;
   cout<<b<<" "<<a<<endl;

   }

return 0;


}